%{!?version:%define version 1.0.0}
%{!?release:%define release 1.beam.rh7}

Summary:	BEAM and Alpha Data TMS System
Name:		tms-client
Version:	%{version}
Release:	%{release}
Epoch:		1
License:	GPL
Group:		Applications
Source0:	tms.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	fftw

%description
The BEAM TMS System implements the trajectory measurement system for the
CERN Proton Synchrotron.

%prep
%setup -q -n tms

%build
make DEST_DIR=%{buildroot} BUILD=CLIENT TARGET=rh7 PREFIX=/usr/tms all

%install
make DEST_DIR=%{buildroot} BUILD=CLIENT TARGET=rh7 PREFIX=/usr/tms install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root,-)
%attr(0755,root,root)
/usr/tms/Makefile
/usr/tms/Makefile.config
/usr/tms/include
/usr/tms/lib
/usr/tms/bin/tmsControl
/usr/tms/bin/tmsSigGen
/usr/tms/bin/tmsStateGen
/usr/tms/bin/tmsTestData
/usr/tms/stateTables
/usr/tms/data
/usr/tms/tmsExamples
/etc/profile.d/tms.sh
/usr/tms/bin/tmsControlGui
/usr/tms/bin/tmsSigGenGui
/usr/share/icons/tmsControlGui.png
/usr/share/icons/tmsSigGen.png
/usr/share/applications/tmsSigGen.desktop
/usr/share/applications/tmsControlGui.desktop

%changelog
* Thu Feb 22 2007 BEAM Ltd
- Initial RPM release.

